Bug 547738 (Blankenbaker, Paul) - In Fedora 12, the php-pear-Image-Graph and php-cli packages are not compatible with each other
Summary: In Fedora 12, the php-pear-Image-Graph and php-cli packages are not compatibl...
Keywords:
Status: CLOSED ERRATA
Alias: Blankenbaker, Paul
Product: Fedora
Classification: Fedora
Component: php-pear-Image-Graph
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-15 15:05 UTC by Paul Blankenbaker
Modified: 2010-09-02 20:44 UTC (History)
3 users (show)

Fixed In Version: php-pear-Image-Graph-0.7.3-0.1.svn291756.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-01 05:59:44 UTC


Attachments (Terms of Use)

Description Paul Blankenbaker 2009-12-15 15:05:18 UTC
Description of problem:

The php-pear-Image-Graph package does not appear to be compatible with version of PHP (5.3) that ships with Fedora 13.

Version-Release number of selected component (if applicable):

[root@probe ~]# rpm -q php-pear-Image-Graph php-cli
php-pear-Image-Graph-0.7.2-6.fc12.noarch
php-cli-5.3.1-1.fc12.i686


How reproducible:

  Always reproducible

Steps to Reproduce:

1. Create simple PHP file (/tmp/image.php) that does nothing more than try to construct a new graph object with following contents:

<?php
include 'Image/Graph.php';
$Graph = Image_Graph::factory('graph', array(600, 300));
?>

2. Run the above PHP program on the console (to see errors)

  php /tmp/image.php

3. Ignore deprecation warnings, and notice the fatal error:

PHP Fatal error:  Call to undefined method Image_Graph_Element::Image_Graph_Element() in /usr/share/pear/Image/Graph.php on line 136

  
Actual results:

PHP Deprecated:  Assigning the return value of new by reference is deprecated in /usr/share/pear/Image/Graph.php on line 450
PHP Stack trace:
PHP   1. {main}() /tmp/image.php:0
PHP Deprecated:  Assigning the return value of new by reference is deprecated in /usr/share/pear/Image/Graph.php on line 456
PHP Stack trace:
PHP   1. {main}() /tmp/image.php:0
PHP Deprecated:  Assigning the return value of new by reference is deprecated in /usr/share/pear/Image/Graph.php on line 463
PHP Stack trace:
PHP   1. {main}() /tmp/image.php:0
PHP Deprecated:  Assigning the return value of new by reference is deprecated in /usr/share/pear/Image/Graph.php on line 471
PHP Stack trace:
PHP   1. {main}() /tmp/image.php:0
PHP Deprecated:  Assigning the return value of new by reference is deprecated in /usr/share/pear/Image/Graph.php on line 480
PHP Stack trace:
PHP   1. {main}() /tmp/image.php:0
PHP Deprecated:  Assigning the return value of new by reference is deprecated in /usr/share/pear/Image/Graph.php on line 490
PHP Stack trace:
PHP   1. {main}() /tmp/image.php:0
PHP Deprecated:  Assigning the return value of new by reference is deprecated in /usr/share/pear/Image/Graph.php on line 501
PHP Stack trace:
PHP   1. {main}() /tmp/image.php:0
PHP Deprecated:  Assigning the return value of new by reference is deprecated in /usr/share/pear/Image/Graph.php on line 513
PHP Stack trace:
PHP   1. {main}() /tmp/image.php:0
PHP Deprecated:  Assigning the return value of new by reference is deprecated in /usr/share/pear/Image/Graph.php on line 526
PHP Stack trace:
PHP   1. {main}() /tmp/image.php:0
PHP Deprecated:  Assigning the return value of new by reference is deprecated in /usr/share/pear/Image/Graph.php on line 540
PHP Stack trace:
PHP   1. {main}() /tmp/image.php:0
PHP Deprecated:  Assigning the return value of new by reference is deprecated in /usr/share/pear/Image/Graph.php on line 555
PHP Stack trace:
PHP   1. {main}() /tmp/image.php:0
PHP Deprecated:  Assigning the return value of new by reference is deprecated in /usr/share/pear/Image/Graph.php on line 561
PHP Stack trace:
PHP   1. {main}() /tmp/image.php:0
PHP Deprecated:  Assigning the return value of new by reference is deprecated in /usr/share/pear/Image/Graph.php on line 563
PHP Stack trace:
PHP   1. {main}() /tmp/image.php:0
PHP Deprecated:  Assigning the return value of new by reference is deprecated in /usr/share/pear/Image/Graph.php on line 609
PHP Stack trace:
PHP   1. {main}() /tmp/image.php:0
PHP Deprecated:  Assigning the return value of new by reference is deprecated in /usr/share/pear/Image/Canvas.php on line 733
PHP Stack trace:
PHP   1. {main}() /tmp/image.php:0
PHP   2. include() /tmp/image.php:2
PHP   3. require_once() /usr/share/pear/Image/Graph.php:39
PHP   4. require_once() /usr/share/pear/Image/Graph/Element.php:33
PHP Deprecated:  Assigning the return value of new by reference is deprecated in /usr/share/pear/Image/Canvas.php on line 745
PHP Stack trace:
PHP   1. {main}() /tmp/image.php:0
PHP   2. include() /tmp/image.php:2
PHP   3. require_once() /usr/share/pear/Image/Graph.php:39
PHP   4. require_once() /usr/share/pear/Image/Graph/Element.php:33
PHP Fatal error:  Call to undefined method Image_Graph_Element::Image_Graph_Element() in /usr/share/pear/Image/Graph.php on line 136
PHP Stack trace:
PHP   1. {main}() /tmp/image.php:0
PHP   2. Image_Graph::factory() /tmp/image.php:3
PHP   3. Image_Graph->Image_Graph() /usr/share/pear/Image/Graph.php:459



Expected results:

The expected results is no output or errors as seen by running on a Fedora 11 box that has the following versions of php-pear-Image-Graph and php-cli installed:

[root@dhcp122 ~]# rpm -q php-pear-Image-Graph php-cli
php-pear-Image-Graph-0.7.2-5.fc11.noarch
php-cli-5.2.9-2.fc11.i586


Additional info:

I've been able to work around the problem by adding a default constructor to the Image_Graph class in /usr/share/pear/Image/Graph/Element.php:

  function Image_Graph_Element() {
  }

My guess is that PHP 5.3 requires a declaration of the default constructor in order for derived classes to invoke the function:

  parent::Image_Graph_Element();

The above invocation is sprinkled about in many derived classes (such as the one found in /usr/share/pear/Image/Graph.php).

I'm guessing that PHP 5.2 did not have this requirement.

Comment 1 Timon 2010-02-04 07:48:58 UTC
this bug seems fixed in svn http://svn.php.net/viewvc/pear/packages/Image_Graph/trunk/

Comment 2 Fedora Admin XMLRPC Client 2010-08-11 18:00:41 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Update System 2010-08-15 10:39:21 UTC
php-pear-Image-Graph-0.7.3-0.1.svn291756.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/php-pear-Image-Graph-0.7.3-0.1.svn291756.fc14

Comment 4 Fedora Update System 2010-08-15 10:39:45 UTC
php-pear-Image-Graph-0.7.3-0.1.svn291756.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/php-pear-Image-Graph-0.7.3-0.1.svn291756.fc13

Comment 5 Fedora Update System 2010-08-15 10:40:08 UTC
php-pear-Image-Graph-0.7.3-0.1.svn291756.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/php-pear-Image-Graph-0.7.3-0.1.svn291756.fc12

Comment 6 Fedora Update System 2010-08-16 16:03:43 UTC
php-pear-Image-Graph-0.7.3-0.1.svn291756.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-Image-Graph'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/php-pear-Image-Graph-0.7.3-0.1.svn291756.fc14

Comment 7 Fedora Update System 2010-09-01 05:59:40 UTC
php-pear-Image-Graph-0.7.3-0.1.svn291756.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-09-02 20:41:13 UTC
php-pear-Image-Graph-0.7.3-0.1.svn291756.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-09-02 20:44:48 UTC
php-pear-Image-Graph-0.7.3-0.1.svn291756.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.